Skip to main content
POST
/
ai
/
files
/
upload
Upload file
curl --request POST \
  --url https://api.getcargo.io/v1/ai/files/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "files": [
    {
      "uuid": "<string>",
      "workspaceUuid": "<string>",
      "userUuid": "<string>",
      "name": "<string>",
      "isTemporary": true,
      "folderUuid": "<string>",
      "s3Filename": "<string>",
      "openAiFileId": "<string>",
      "contentType": "<string>",
      "size": 123,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

folderUuid
string<uuid>

Folder identifier to upload into.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

files
Files · object[]
required

Uploaded files.